#version 330

uniform float app_time_s;
uniform sampler2D sceneTex;

in vec2 VS_tex_coord;

out vec4 final_color;

void main()
{

    vec2 tex_coord = VS_tex_coord;
    // Waves
    tex_coord.s += sin(4 * app_time_s + 40 * tex_coord.t) * 0.02;

    vec4 color = texture(sceneTex, tex_coord);

    // Weighted mean of colour channels
    vec3 color_weight = vec3(0.3, 0.6, 0.1);
    float grayscale = dot(color.rgb, color_weight);

    final_color = vec4(grayscale, grayscale, grayscale, 1.0);
}
